Subject: Re: e100 and eepro100

From: "Kok, Auke" <[email-masked]>
Date: Fri, 27 Apr 2007 09:05:58 -0700

YOSHIFUJI Hideaki / $B5HF#1QL@ wrote:
> Hello.
> 
> I heard that there is a plan to remove eepro100 driver from kernel,
> but from the IPv6 point of view, there are still some issues with
> e100 driver, which does not exist in eepro100.
> 
> We are using some e100/eepro100 devices, and we have found that
> we cannot pass the Conformance Test with e100 but with eepro100.
> 
> We have been having no chance to debug this issue so far, but
> I guess there are some bugs in link detection code in e100.

please, read the discussion we had yesterday on netdev.

Also, without knowing *what* your problems are with e100, we can't help you 
solving them too. If you bring your bugreport in detail to us at 
[email-masked] we can take it up and dig into it.

The conclusion is that the s-bit patch will be in 2.6.22, as well as an option 
to run the driver in IO register access mode. this seems to be sufficient for 
most of the people that had issues.

Auke